
#include "stdafx.h"
#include "GameCurzor.h"
#include "../Object/2DObject.h"

C_GAMECURZOR_0::C_GAMECURZOR_0() 
{
	_rect.width = _rect.height = 32;
}

void C_GAMECURZOR_0::Render(HWND hWnd)
{
	// POS
	POINT pMouse;
	GetCursorPos(&pMouse);
	ScreenToClient(hWnd, &pMouse);
	_rect.x = pMouse.x;
	_rect.y = pMouse.y;
	C_2DOBJECT_0 object(_textureId, _rect); 
	object.Render();
}

void C_GAMECURZOR_0::ShowCursor(bool show)
{
	// nutny protoze :
	// funkce showcursor se chová jako proměnná: kolikrát jí zavoláme s parametrem True,
	// tolikrát se zvětší. S False to je samozřejmě opačně. Když je výsledek větší nebo roven
	// 0 potom je kursor vidět v jiném případě vidět není.

	if(!show)
	{
		do
		{
		}while (::ShowCursor(false) > -1);
	}
	if(show)
	{
		do
		{
		}while (::ShowCursor(true) < 1);
	}
}

























